﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WG_BindToTwoDimArray
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Random ran = new Random();

            const int dim = 10;
            double[,] array = new double[dim, dim];

            for (int r = 0; r < dim; r++)
            {
                for (int c = 0; c < dim; c++)
                {
                    array[r, c] = (ran.Next(dim));
                }
            }

            string[] colnames = new string[dim];
            for (int c = 0; c < dim; c++)
            {
                colnames[c] = string.Format("-{0}-", c);
            }

            ArrayDataTable ds = new ArrayDataTable();
            ds.CreateDataTable(array, colnames);

            ultraGrid1.DataSource = ds.ArrayTable;
            dataGridView1.DataSource = ds.ArrayTable;

        }
    }
}
